Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class AVTPartSimple

    java.lang.Object
      |
      +--org.apache.xalan.xslt.AVTPart
            |
            +--org.apache.xalan.xslt.AVTPartSimple

public class AVTPartSimple
extends AVTPart

**For internal use only** Simple string part of a complex AVT.

See Also:
  Serialized Form

Constructor Summary
`AVTPartSimple(java.lang.String val)` **For internal use only** Construct a simple AVT part.

Method Summary
`void` | `evaluate(XPathSupport execContext, java.lang.StringBuffer buf, org.w3c.dom.Node context, PrefixResolver nsNode)` **For internal use only** Write the value into the buffer.

Methods inherited from class org.apache.xalan.xslt.AVTPart
`setXPathSupport`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPartSimple

    public AVTPartSimple(java.lang.String val)

  **For internal use only** Construct a simple AVT part.
  Parameters:
    `val` - A pure string section of an AVT.

Method Detail

### evaluate

    public void evaluate(XPathSupport execContext,
                         java.lang.StringBuffer buf,
                         org.w3c.dom.Node context,
                         PrefixResolver nsNode)

  **For internal use only** Write the value into the buffer.
  Parameters:
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.
  Overrides:
    evaluate in class AVTPart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.